| Home | Libraries | People | FAQ | More

## Function template make_adaptive_time_iterator_end

boost::numeric::odeint::make_adaptive_time_iterator_end — Factory function for adaptive_time_iterator. Constructs a end iterator.

## Synopsis

    // In header: <boost/numeric/odeint/iterator/adaptive_time_iterator.hpp>

    template<typename Stepper, typename System, typename State>
      adaptive_time_iterator< Stepper, System, State >
      make_adaptive_time_iterator_end(Stepper stepper, System system, State & x);

## Description

Parameters:

`stepper` | The stepper to use during the iteration.
`system` | The system function (ODE) to solve.
`x` | The initial state. adaptive_time_iterator stores a reference of s and changes its value during the iteration.

Returns: | The adaptive time iterator.